<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="temps">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="poblacio" maxOccurs="unbounded">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="nom" type="xs:string"/>
                            <xs:element name="comarca" type="xs:string"/>
                            <xs:sequence>
                                <xs:element name="data" maxOccurs="unbounded">
                                    <xs:complexType>                                 
                                        <xs:sequence>
                                            <xs:element name="maxima" type="xs:integer"/>
                                            <xs:element name="minima" type="xs:integer"/>
                                            <xs:element name="vent" type="xs:string"/>
                                            <xs:element name="pluja" type="xs:string" minOccurs="0" maxOccurs="1"/>
                                            <xs:element name="previsio" maxOccurs="unbounded">
                                                <xs:complexType>
                                                    <xs:sequence>
                                                        <xs:element name="estat" type="xs:string"/>
                                                        <xs:element name="graus" type="xs:string"/>
                                                    </xs:sequence>
                                                    <xs:attribute name="hora" type="xs:string" use="required"/>  
                                                </xs:complexType>       
                                            </xs:element>
                                        </xs:sequence>
                                        <xs:attribute name="dia" type="xs:string" use="required"/>
                                    </xs:complexType>
                                </xs:element>
                            </xs:sequence>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
</xs:schema>